Get an enrollment API key
Server:
https://{kibana_url}
- GET /api/fleet/enrollment_api_keys/{keyId}
Get an enrollment API key by ID.
[Required authorization] Route required privileges: fleet-agents-all OR fleet-setup.
Path Parameters
-
keyIdstringrequired -
The ID of the enrollment API key
Responses
Successful response
-
itemrequired -
activebooleanrequired -
When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.
-
api_keystringrequired -
The enrollment API key (token) used for enrolling Elastic Agents.
-
api_key_idstringrequired -
The ID of the API key in the Security API.
-
created_atstringrequired -
expire_atstring -
The expiration date of the enrollment token as an ISO 8601 date string. Absent when the token never expires.
-
idstringrequired -
namestring -
The name of the enrollment API key.
-
policy_idstring -
The ID of the agent policy the Elastic Agent will be enrolled in.
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber
404
application/json
Not Found